Unit tmlc3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, MLC3R_p;

function tmlc3r: String;

implementation

function tmlc3r: String;
var
_i,IERR :Integer;
B :Array [0..8] of Integer;
MR :Array [0..24] of Integer;
const
IA :Array [0..6] of Integer = ( 3001,2002,1001,4002,3001,3002,1003 );
KV :Array [0..2] of Integer = ( 2,2,3 );
X :Array [0..5] of Integer = ( 0,0,0,10,11,13 );
Z :Integer = 0;
EPS :Real = 0.0001;
C :Array [0..2] of Integer = ( -4,-5,-1 );
LIA :Integer = 7;
M :Integer = 3;
N :Integer = 3;
MAX :Integer = 19;
begin
Result := '';  {   }
MLC3R(LIA,M,N,IA,KV,X,C,Z,MAX,B,MR,EPS,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',[' Z=']);
Result := Result + Format('%3d ',[Z]);
Result := Result + Format('%s',[' X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%3d ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmlc3r',Result);  {     tmlc3r.res }
exit;
end;

end.
